@echo OFF
rem ==================================================================================
rem Function:	Configure the AOCSIMSO IP address
rem 		Upgrade the AOC-SIMSO or AOC-SIMSO+ firmware.
rem 
rem Syntax:	upgrade.bat { R421 or R422 } {SIMPSO or SIMPSOP} IP
rem 
rem Procedure:	1)-Enter in BIO Setup.
rem		2)-move the USB key in first position in the boot list.
rem		3)-Reboot the system (The system boot on the USB key).
rem		4)-Execute C:\DOS\AOCSIMSO\Upgrade.bat
rem ----------------------------------------------------------------------------------
rem History:
rem 20070628	Creation
rem 20070703	Add variable Fimware version FWV
rem 20070604	Add directives at the end of script (Dispount USB key, ...)
rem 20072008	Modif, List of parameters, add server model R421 or R422.
rem 20071108	Modif, New firmware versions ubsim14705.bin and ugsim148.bim
rem 20071115    Add, parameter IP address
rem ==================================================================================

IF "%1" == "" GOTO FATAL
IF NOT "%1" == "R421" IF NOT "%1" == "R422" GOTO FATAL

IF "%2" == "" GOTO FATAL
IF NOT "%2" == "SIMSOP" IF NOT "%2" == "SIMSO" GOTO FATAL

IF "%3" == "" GOTO FATAL

echo.
echo Please, note the current AOC-SIMSO/AOC-SIMSO+ firmware version.
echo.
KCStool.exe ver
pause

echo.
echo Please, note the AOC-SIMSO/AOC-SIMSO+ serial number.
echo.
KCStool serial
pause


echo.
echo WARNING: Note the current MAC address and IP adress.
echo.
IPMICFG -m
pause 


IF "%2" == "SIMSO" GOTO SP
:SS
	echo.
	echo Upload the AOC-SIMSO+ firmware ugsim148.bin
	echo.
	KCStool.exe upgrade ugsim148.bin
GOTO SUITE_1
:SP
	echo.
	echo Upload the AOC-SIMSO firmware ubs14705.bin
	echo.
	KCStool.exe upgrade ubs14705.bin
GOTO SUITE_1

:SUITE_1
echo.
echo Reset AOC-SIMSO/AOC-SIMSO+ card (MAC address and IP address will be lost).
echo.
defaultp.exe

echo.
echo Now, Reboot [Ctrl+Alt+Del] and wait 2 minutes
echo before to run C:\DOS\AOCSIMSO\upgrade2.bat
echo.
pause 

GOTO END99

:FATAL
echo.
echo FATAL ERROR: Syntax is:
echo. 
echo Upgrade1.exe R421 SIMSOP IP    for an R421 with AOC-SIMSO+ card.
echo Upgrade1.exe R422 SIMSOP IP    for an R422 or R422-INF with AOC-SIMSO+ card.
echo.
echo Upgrade1.exe R421 SIMSO  IP    for an R421 with AOC-SIMSO  card.
echo Upgrade1.exe R422 SIMSO  IP    for an R422 or R422-INF with AOC-SIMSO card.
echo.
pause

:END99
exit 99



